#!/bin/bash -ex

# use local mirror for apt-get
cat <<EOF > /etc/apt/sources.list
deb [arch=amd64] ftp://172.17.42.1/ubuntu/ trusty main restricted universe multiverse
deb [arch=amd64] ftp://172.17.42.1/ubuntu/ trusty-updates main restricted universe multiverse
deb [arch=amd64] ftp://172.17.42.1/ubuntu/ trusty-security main restricted universe multiverse
EOF

# install packages
export DEBIAN_FRONTEND=noninteractive
apt-get -y update || true
apt-get --no-install-recommends -y install openssh-server supervisor

# configure sshd
mkdir /var/run/sshd
chmod 600 /root/.ssh/authorized_keys

# configure supervisord
cat <<EOF > /etc/supervisor/conf.d/supervisord.conf
[supervisord]
nodaemon=true

[program:ssh]
command=/usr/sbin/sshd -D
EOF

# clean
apt-get clean
rm -rf /var/lib/apt/lists/*
rm -rf /var/cache/debconf/*.dat-old
rm -rf /tmp/*

exit 0
